<?php
   $target='nombre';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Usuarios/mensajeros.php"); 
   
   $nombrepagina = "CREACION DE MENSAJEROS";
   encabezado($target); 
   $user=$_SESSION['validar'];
   $filas=1;   
   if($filas == 1){ 
	 	class llamado{
	    	var $menuObj;
	      	function validar1($id_user,$id_sucursal){
	    		$this->menuObj=new menu_inicio();
				$this->menuObj->menu2($id_user,$id_sucursal);
	  	  	}
	 	}
		$llamadoObj=new llamado();
	    $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	    entrada($user,$_GET['id_user'],$_GET['suc']);
	    echo"</td>";	 
	    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	    mostrar_cabeza_trabajo($nombrepagina);	 
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="350" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Creacion Mensajero ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="200" valign=top height="42" class=miTable_td2>
Nombre:</td>
<td width="180" valign=top height="42" class="miTable_td">
<input type="text" name="nombre" class="inputbox" size="50">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td2>
C.C:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="cc" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td2>
Direccion:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="dir" class="inputbox" size="50">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Telefono:</td>
<td width="150" class="miTable_td">
<input type="text" name="tel" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Movil:</td>
<td width="150" class="miTable_td">
<input type="text" name="mov" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Ciudad:
</td>
<td width="150" class="miTable_td">
<select name="ciudad" class="inputbox" style="width:260px">
<?
get_ciudad();
?>
</select>
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td" nowrap>
Tipo Transporte:</td>
<td width="150" class="miTable_td">
<input type="text" name="tipo" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Observaciones:</td>
<td width="150" class="miTable_td">
<input type="text" name="observ" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Estado:</td>
<td width="150" class="miTable_td">
<select name="est" class="inputbox">
<option value="1">Activo</option>
<option value="0">Inactivo</option>
</select>
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Sucursal:</td>
<td width="150" class="miTable_td">
<?
get_sucursal($_SESSION['perfil'],$_GET['suc']);
?>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Registrar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
	 <?
	 if(!isset($Registrar)){

     }else{
	
		class crearSucursal{
	  		var $crearObj;
	  		var $conexionObj;
	  		var $estado;
	  		function setCrear($nombre,$cc,$dir,$tel,$mov,$ciudad,$tipo,$observ,$est,$suc){
	  			$id_user=$_GET['id_user'];
			 	$id_suc=$_GET['suc'];
			 	if($cc=='' || $nombre=='' || $dir=='' || $suc==''){
			 		$msgBOX2 = "Campos Requeridos: Cedula, Nombre, Direccion, Sucursal.";
	  		    	echo "<script>
					
                    alert('$msgBOX2');
                    
                    setTimeout(location.href='crear_mensajero.php?id_user=$id_user&suc=$id_suc',100);
	            	
	  		  		</script>";
			    }else{
	  		 	$this->crearObj=new mensajeros();
	  		 	$this->crearObj->setNombre($nombre);
			 		$this->crearObj->setCc($cc);
	  		 	$this->crearObj->setDireccion($dir);
	  		 	$this->crearObj->setTel($tel);
			 		$this->crearObj->setMov($mov);
			 		$this->crearObj->setCod_ciudad($ciudad);
			 		$this->crearObj->setTipo($tipo);
			 		$this->crearObj->setObserv($observ);
			 		$this->crearObj->setAct($est);
			 		$this->crearObj->setSuc($suc);
			    }
	  		}
			function getCrear(){
		     	return $this->crearObj;
			}
			function validar(){
				$this->conexionObj= new conexion();
				$this->conexionObj->conectarse();
				$rst_validar=$this->conexionObj->consultar("SELECT * FROM mensajeros WHERE nombre='".$this->crearObj->getNombre()."'");
				if(mysql_num_rows($rst_validar)>=1){
					$msgBOX2 = "Mensajero Existe en Sistema.";
	  		    	echo "<script>
	             	alert('$msgBOX2');
	  		  	    </script>";
				}else{
					$cc=$this->crearObj->getCc();
					$nombre=$this->crearObj->getNombre();
					$nombre=strtoupper($nombre);
					$dir=$this->crearObj->getDireccion();
					$ciudad=$this->crearObj->getCod_ciudad();
					$tel=$this->crearObj->getTel();
					$mov=$this->crearObj->getMov();
					$tipo=$this->crearObj->getTipo();
					$observ=$this->crearObj->getObserv();
					$est=$this->crearObj->getAct();
					$suc=$this->crearObj->getSuc();
					$this->insertarDatos($nombre,$cc,$dir,$tel,$mov,$ciudad,$tipo,$observ,$est,$suc);
				}
			}
			function insertarDatos($nombre,$cc,$dir,$tel,$mov,$ciudad,$tipo,$observ,$est,$suc){
				$rst_insertar=$this->conexionObj->modificar("INSERT INTO mensajeros VALUES ('0','".$cc."','".$nombre."','".$dir."','".$tel."','".$mov."','".$tipo."','".$observ."','".$est."','".$suc."','".$ciudad."',0,0)");
				$affected_rows=mysql_affected_rows();
				if($affected_rows>=1){
			    	$msgBOX2 = "Mensajero Creado Exitosamente.";
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
				}else{
			    	$msgBOX2 = "Mensajero No Pudo ser Creado.";
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
				}
			}
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearSucursalObj=new crearSucursal();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$crearSucursalObj->setCrear($_POST['nombre'],$_POST['cc'],$_POST['dir'],$_POST['tel'],$_POST['mov'],$_POST['ciudad'],$_POST['tipo'],$_POST['observ'],$_POST['est'],$_POST['sucursal']);
// LAMANDO EL METODO DE NEGOCIO
$crearSucursalObj->validar();
}

mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?>
<td>
<center>
<?
        pie_de_pagina();
        ?>
</center>
</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>
